Package skyview.geometry.projecter

# Class Car

java.lang.Object
skyview.geometry.Transformer
skyview.geometry.Projecter
skyview.geometry.projecter.Car

All Implemented Interfaces:
  `Serializable`, `Component`

public final class Car extends Projecter
This class implements the Cartesian (rectangular) projection. Note that the tangent point is assumed to be at the north pole. This class assumes preallocated arrays for maximum efficiency.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`Car.CarDeproj`

## Constructor Summary

Constructors
Constructor
Description
`Car()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`allValid()`
The entire plane is valid
`String`
`getDescription()`
Return a description of the component
`String`
`getName()`
Get the name of the compontent
`double`
`getXTiling()`
Get tile offsets
`double`
`getYTiling()`
Get tile offsets
`Deprojecter`
`inverse()`
Get the inverse transformation
`boolean`
`isInverse(Transformer t)`
Is this an inverse of some other transformation?
`double[]`
`shadowPoint(double x, double y)`
Find the shadow to this point
`boolean`
`straddle(double[][] vertices)`
Does this area appear to straddle the standard region?
`boolean`
`straddleable()`
Is it possible for a pixel to straddle the valid region.
`double[][][]`
`straddleComponents(double[][] inputs)`
Return a set of straddle points.
`double[]`
`tissot(double x, double y)`
Return the Tissot indicatrix for point
`final void`
`transform(double[] sphere, double[] plane)`
Do the transformation

### Methods inherited from class skyview.geometry.Projecter

`getInputDimension, getOutputDimension, validPosition`

### Methods inherited from class skyview.geometry.Transformer

`transform, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Car

public Car()

## Method Details

### getName

public String getName()
Get the name of the compontent

### getDescription

public String getDescription()
Return a description of the component

### inverse

public Deprojecter inverse()
Get the inverse transformation

Specified by:
  `inverse` in class `Projecter`

### getXTiling

public double getXTiling()
Get tile offsets

Overrides:
  `getXTiling` in class `Projecter`
Returns:
  The period in X in radians. A value of 0 means that there is not periodicity.

### getYTiling

public double getYTiling()
Get tile offsets

Overrides:
  `getYTiling` in class `Projecter`
Returns:
  The tiling period in radians. A value of 0 means that there is no period.

### isInverse

public boolean isInverse(Transformer t)
Is this an inverse of some other transformation?

Specified by:
  `isInverse` in class `Transformer`

### shadowPoint

public double[] shadowPoint(double x, double y)
Find the shadow to this point

Overrides:
  `shadowPoint` in class `Projecter`

### transform

public final void transform(double[] sphere, double[] plane)
Do the transformation

Specified by:
  `transform` in class `Transformer`
Parameters:
  `sphere` - The input vector.
  `plane` - The output vector, it may be the same as the input vector if the dimensionalities are the same. All transformers are expected to work with aliased inputs and output.

### allValid

public boolean allValid()
The entire plane is valid

Overrides:
  `allValid` in class `Projecter`

### straddle

public boolean straddle(double[][] vertices)
Does this area appear to straddle the standard region?

Overrides:
  `straddle` in class `Projecter`

### straddleable

public boolean straddleable()
Description copied from class: `Projecter`
Is it possible for a pixel to straddle the valid region.

Overrides:
  `straddleable` in class `Projecter`

### straddleComponents

public double[][][] straddleComponents(double[][] inputs)
Return a set of straddle points.

Overrides:
  `straddleComponents` in class `Projecter`

### tissot

public double[] tissot(double x, double y)
Return the Tissot indicatrix for point

Overrides:
  `tissot` in class `Projecter`
Parameters:
  `x` - The X-value at which the Tissot indicatrix is to be calculated.
  `y` - The Y-value at which the Tissot indicatrix is to be calculated.
Returns:
  A three element double vector [Semimajor, semiminor, position angle] with the axes size and positional angle of the ellipse.